<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Главная</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>

  <ion-segment [(ngModel)]="result.display">
    <ion-segment-button value="first">
      Показания счетчиков
    </ion-segment-button>
    <ion-segment-button value="second">
      Результат
    </ion-segment-button>
  </ion-segment>

  <div [ngSwitch]="result.display">

    <div *ngSwitchCase="'first'">

      <ion-list>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-water" md="md-water" item-start></ion-icon>
            Холодная вода
          </ion-label>

          <ion-input [(ngModel)]="metersData.coldWater" placeholder="{{lastMetersData.coldWater}}" type="text"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-thermometer" md="md-thermometer" item-start></ion-icon>
            Горячая вода
          </ion-label>
          <ion-input [(ngModel)]="metersData.hotWater" placeholder="{{lastMetersData.hotWater}}" type="text"></ion-input>
        </ion-item>

        <ion-item>
          <ion-label>
            <ion-icon ios="ios-flash" md="md-flash" item-start></ion-icon>
            Электроенергия
          </ion-label>
          <ion-input [(ngModel)]="metersData.energy" placeholder="{{lastMetersData.energy}}" type="text"></ion-input>
        </ion-item>

      </ion-list>

      <ion-grid>
        <ion-row>
          <ion-col col-12 class="content-center">
            <button (click)="calculateSum()" ion-button color="secondary" outline>Расчитать</button>
          </ion-col>
        </ion-row>
      </ion-grid>

    </div>

    <div *ngSwitchCase="'second'">

      <ion-list>

        <ion-item>
          <div class="flex-wrap">
            <div>
              <ion-icon ios="ios-water" md="md-water" item-start></ion-icon>
              Холодная вода
            </div>

            <div>{{result.coldWater}}</div>
          </div>
        </ion-item>

        <ion-item>
          <div class="flex-wrap">
            <div>
              <ion-icon ios="ios-thermometer" md="md-thermometer" item-start></ion-icon>
              Горячая вода
            </div>
            <div>{{result.hotWater}}</div>
          </div>
        </ion-item>

        <ion-item>
          <div class="flex-wrap">
            <div>
              <ion-icon ios="ios-flash" md="md-flash" item-start></ion-icon>
              Электроенергия
            </div>
            <div>{{result.energy}}</div>
          </div>
        </ion-item>

        <ion-item>
          <div class="flex-wrap">
            <div>
              <ion-icon ios="ios-cash" md="md-cash" item-start></ion-icon>
              Всего
            </div>
            <div>{{result.energy + result.hotWater + result.coldWater}}</div>
          </div>
        </ion-item>

      </ion-list>

      <ion-grid>
        <ion-row>
          <ion-col col-6 class="content-center">
            <button (click)="save()" ion-button color="secondary" outline>Сохранить</button>
          </ion-col>

          <ion-col col-6 class="content-center">
            <button (click)="result.display = 'first'" ion-button color="danger" outline>Повторить</button>
          </ion-col>
        </ion-row>
      </ion-grid>

    </div>

  </div>

</ion-content>
